grk::ISparseCanvas Class Referenceabstract

`#include <SparseCanvas.h>`

Inheritance diagram for grk::ISparseCanvas:

## Public Member Functions

virtual | ~ISparseCanvas ()=default
virtual bool | read (uint8_t resno, grk_rect32 window, int32_t *dest, const uint32_t destChunkY, const uint32_t destChunkX)=0
| Read window of data into dest buffer.
virtual bool | write (uint8_t resno, grk_rect32 window, const int32_t *src, const uint32_t srcChunkY, const uint32_t srcChunkX)=0
| Write window of data from src buffer.
virtual bool | alloc (grk_rect32 window, bool zeroOutBuffer)=0

## Constructor & Destructor Documentation

## ~ISparseCanvas()

virtual grk::ISparseCanvas::~ISparseCanvas | ( |  | ) |

virtual default

## Member Function Documentation

## alloc()

virtual bool grk::ISparseCanvas::alloc | ( | grk_rect32 | window,
|  | bool | zeroOutBuffer
| ) |  |

pure virtual

Implemented in grk::SparseCanvas< LBW, LBH >.

## read()

virtual bool grk::ISparseCanvas::read | ( | uint8_t | resno,
|  | grk_rect32 | window,
|  | int32_t * | dest,
|  | const uint32_t | destChunkY,
|  | const uint32_t | destChunkX
| ) |  |

pure virtual

Read window of data into dest buffer.

Implemented in grk::SparseCanvas< LBW, LBH >.

## write()

virtual bool grk::ISparseCanvas::write | ( | uint8_t | resno,
|  | grk_rect32 | window,
|  | const int32_t * | src,
|  | const uint32_t | srcChunkY,
|  | const uint32_t | srcChunkX
| ) |  |

pure virtual

Write window of data from src buffer.

Implemented in grk::SparseCanvas< LBW, LBH >.

Referenced by grk::TileComponent::postDecompressImpl().

The documentation for this class was generated from the following file:

- SparseCanvas.h